{% extends 'base.html' %}
{% block title %}Feuille de caisse{% endblock %}
{% block content %}
    <div>
    <h1 align="center">Feuille de caisse pour l'évènement {{ event }}</h1>
    <a href="{% url 'participants-compostage-restants' event_id=event.id %}">Cliquez ici pour la liste des clients non compostés</a>
    <br>
    <p>Compte prévu sur MercaNET (somme des transactions): {{ expected_mercanet }} €</p>
    <p>Compte prévu (somme des montants des commandes en tenant compte des réductions) : {{ excpected_orders }} €</p>
    <br>
<table>
<thead>
<tr>
    <th>Option/Produit</th>
    <th>Vendus</th>
    <th>Restants</th>
    <th>Annulés</th>
    <th>Remboursés</th>
    <th>Profits prévus (€)</th>
    <th>Entrées d'argent prévues (€)</th>
    <th>Remboursements prévus (€)</th>
</tr>
</thead>
<tbody>
    {% for opt in options %}
        <tr>
            <td>{{ opt.full_name}}</td>
            <td>{{ opt.sold_units }}</td>
            <td>{{ opt.how_many_left }}</td>
            <td>{{ opt.cancelled_units }}</td>
            <td>{{ opt.refunded_units }}</td>
            <td>{{ opt.expected_profit }}</td>
            <td>{{ opt.expected_income }}</td>
            <td>{{ opt.expected_refunds }}</td>
        </tr>
    {% endfor %}
    <tr><td>&nbsp;</td></tr>
    {% for p in produits %}
        <tr>
            <td>{{ p.full_name}}</td>
            <td>{{ p.sold_units }}</td>
            <td>{{ p.how_many_left }}</td>
            <td>{{ p.cancelled_units }}</td>
            <td>{{ p.refunded_units }}</td>
            <td>{{ p.expected_profit }}</td>
            <td>{{ p.expected_income }}</td>
            <td>{{ p.expected_refunds }}</td>
        </tr>
    {% endfor %}
</tbody>
</table>
    <br>
    <p class="light">La colonne <b>Profits prévus</b> correspond au nombre de billets non annulés (donc potentiellement des billets remboursés non annulés).
        La colonne <b>Entreées d'argent prévues</b> correspond au nombre total de billets émis. La colonne <b>Remboursements prévus</b> correspond aux billets marqués comme remboursés.</p>
</div>
    <hr>
    <h1 align="center">Statistiques</h1>
    <p>Vous pouvez voir sur ce second tableau la progression des compostages.</p>
       <table>
        <tbody>
        <tr>
            <th>Billets</th>
            <td>{{ total }}</td>
        </tr>
        <tr>
            <th>Compostés</th>
            <td>{{ compostes }}</td>
        </tr>
        <tr>
            <th>Restants</th>
            <td>{{ restants }}</td>
        </tr>
        </tbody>
    </table>

    <table>
        <thead>
        <tr>
            <th>Option/Produit</th>
            <th>Vendus</th>
            <th>Compostés</th>
            <th>Non compostés</th>

        </tr>
        </thead>
        <tbody>
        {% for opt in final_option %}
            <tr>
                <td>{{ opt.full_name }}</td>
                <td>{{ opt.sold_units }}</td>
                <td>{{ opt.compostes }}</td>
                <td>{{ opt.restants }}</td>

            </tr>
        {% endfor %}
        <tr>
            <td>&nbsp;</td>
        </tr>
        {% for p in final_produit %}
            <tr>
                <td>{{ p.full_name }}</td>
                <td>{{ p.sold_units }}</td>
                <td>{{ p.compostes }}</td>
                <td>{{ p.restants }}</td>

            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}